# Установка

В файл `composer.json` добавить

    "repositories": {
        "gitlab.iwayex.com/45": {
            "type": "composer",
            "url": "https://gitlab.iwayex.com/api/v4/group/45/-/packages/composer/packages.json"
        }
    }

Выполнить команду `composer require iwaydev/laravel-logger`

В файле конфигов `app.php`, в секцию `'providers'` добавить провайдер

    \Iwaydev\LaravelLogger\LogServiceProvider::class

Опубликовать конфиг

    make artis q="vendor:publish --provider=\"Iwaydev\LaravelLogger\LogServiceProvider\" --tag=config --force" 

В `.env` файлы для каждого стейджа прописываем переменные окружения:

    LOGGING_STREAM_ENABLE=true
    LOGGING_SERVER=local

Где:

- `LOGGING_STREAM_ENABLE` - включено ли логирование в стандартный поток вывода
- `LOGGING_SERVER` - Обозначение сервера/стейджа

# Разработка 
В корне проекта создайте папку `packages` и склонируйте в нее пакет.

Далее в файл `composer.json` добавьте

    "repositories": {
        "qwer": {
            "type": "path",
            "url": "packages/laravel-logger",
            "options": {
                "symlink": true
            }
        }
    }

