<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Логирование только указанных маршрутов
    |--------------------------------------------------------------------------
    |
    | Example: [
    |   'ANY /v2/*',
    |   'POST /v1/foo/bar',
    | ]
    */

    'only_routes' => [],

    /*
    |--------------------------------------------------------------------------
    | Исключить логирование указанных маршрутов
    |--------------------------------------------------------------------------
    |
    | Если only_routes не пустой, то exclude_routes будет игнорироваться
    |
    | Example: [
    |   'GET /v1/*',
    |   'GET /v2/foo/bar',
    | ]
    */

    'exclude_routes' => [],

    /*
    |--------------------------------------------------------------------------
    | Логирование параметров (query, body) и заголовков запроса
    |--------------------------------------------------------------------------
    |
    | Example: [
    |   'default' => [
    |       'params' => true,
    |       'headers' => true,
    |   ],
    |   'POST /v1/foo/*' => [,
    |       'headers' => false,
    |   ],
    |   'PUT /v1/foo/bar' => [
    |       'headers' => false,
    |   ],
    | ]
    */

    'tracking' => [
        'default' => [
            'params' => true,
            'headers' => false,
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Маскировка параметров
    |--------------------------------------------------------------------------
    */

    'params_masking' => [
        'login',
        'password',
        'token',
    ],

    /*
    |--------------------------------------------------------------------------
    | Логирование только с указанных ip
    |--------------------------------------------------------------------------
    |
    | Example: [
    |   '127.0.*',
    |   '192.168.0.11',
    | ]
    */

    'only_ips' => [],

    /*
    |--------------------------------------------------------------------------
    | Исключить логирование с указанных ip
    |--------------------------------------------------------------------------
    |
    | Если only_ips не пустой, то exclude_ips будет игнорироваться
    |
    | Example: [
    |   '127.0.*',
    |   '192.168.0.11',
    | ]
    */

    'exclude_ips' => [],

];
