<?php

use Iwaydev\LaravelLogger\JsonFormatter;
use Monolog\Handler\StreamHandler;

return [

    /*
    |--------------------------------------------------------------------------
    | Отправлять ли логи в стандартный поток вывода
    |--------------------------------------------------------------------------
    */

    'enable' => env('LOGGING_STREAM_ENABLE', false),

    /*
    |--------------------------------------------------------------------------
    | Название сервера на котором развернуто приложение
    |--------------------------------------------------------------------------
    */

    'server_name' => env('LOGGING_SERVER', 'local'),

    /*
    |--------------------------------------------------------------------------
    | Список каналов в которые не будет добавляться запись в стандартный поток вывода
    |--------------------------------------------------------------------------
    */

    'exclude_channels' => [
        'stack',
        'slack',
        'papertrail',
        'syslog',
        'null',
    ],

    /*
    |--------------------------------------------------------------------------
    | Обработчик для записи в поток
    |--------------------------------------------------------------------------
    */

    'handler' => StreamHandler::class,

    /*
    |--------------------------------------------------------------------------
    | Форматер лога
    |--------------------------------------------------------------------------
    */

    'formatter' => JsonFormatter::class,

];
