<?php

use Illuminate\Support\Str;

if (!function_exists('isPresentInConfig')) {
    /**
     * @param array $config
     * @param string $needle
     * @param string $trimChars
     *
     * @return bool
     */
    function isPresentInConfig(array $config, string $needle, string $trimChars = " \t\n\r\0\x0B/"): bool
    {
        $collection = collect($config)
            ->filter(
                function ($value, $key) use ($needle, $trimChars) {
                    $pattern = is_array($value) ? $key : $value;
                    if (!Str::contains($pattern, '*')) {
                        return $pattern === $needle;
                    }

                    if (Str::contains($pattern, 'ANY')) {
                        $needle = last(explode(' ', $needle));
                    }
                    $needle = trim($needle, $trimChars);

                    return Str::startsWith($needle, trim(str_replace(['*', 'ANY'], '', $pattern), $trimChars));
                }
            );

        return $collection->isNotEmpty();
    }
}
